D-Bus: DBusServerSocket Struct Reference

D-Bus 1.14.10

Data Fields
DBusServerSocket Struct Reference
D-Bus secret internal implementation details » DBusServer implementations for SOCKET

Implementation details of DBusServerSocket. More...

## Data Fields
DBusServer | base
| Parent class members.
int | n_fds
| Number of active file handles.
DBusSocket * | fds
| File descriptor or DBUS_SOCKET_INVALID if disconnected.
DBusWatch ** | watch
| File descriptor watch.
char * | socket_name
| Name of domain socket, to unlink if appropriate.
DBusNonceFile * | noncefile
| Nonce file used to authenticate clients.

## Detailed Description

Implementation details of DBusServerSocket.

All members are private.

Definition at line 50 of file dbus-server-socket.c.

## Field Documentation

## ◆ base

DBusServer DBusServerSocket::base

Parent class members.

Definition at line 52 of file dbus-server-socket.c.

Referenced by _dbus_server_new_for_socket().

## ◆ fds

DBusSocket* DBusServerSocket::fds

File descriptor or DBUS_SOCKET_INVALID if disconnected.

Definition at line 54 of file dbus-server-socket.c.

Referenced by _dbus_server_new_for_socket().

## ◆ n_fds

int DBusServerSocket::n_fds

Number of active file handles.

Definition at line 53 of file dbus-server-socket.c.

Referenced by _dbus_server_new_for_socket().

## ◆ noncefile

DBusNonceFile* DBusServerSocket::noncefile

Nonce file used to authenticate clients.

Definition at line 57 of file dbus-server-socket.c.

Referenced by _dbus_server_new_for_socket().

## ◆ socket_name

char* DBusServerSocket::socket_name

Name of domain socket, to unlink if appropriate.

Definition at line 56 of file dbus-server-socket.c.

Referenced by _dbus_server_socket_own_filename().

## ◆ watch

DBusWatch** DBusServerSocket::watch

File descriptor watch.

Definition at line 55 of file dbus-server-socket.c.

Referenced by _dbus_server_new_for_socket().

The documentation for this struct was generated from the following file:

- dbus-server-socket.c